#
# spec file for package metamail (Version 2.7.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         metamail
Copyright:    1991 Bell Communications Research, Inc.
Group:        Applications/Mail
Provides:     metamail 
Requires:     sharutils
Autoreqprov:  on
Version:      2.7.19
Release:      414
Summary:      MIME Mail-Handler
Source: metamail-2.7-19.tar.gz
Patch: metamail-2.7-19.dif

%description
Metamail is required for reading multimedia mail messages (such as
those using the Andrew toolkit) with elm.

SuSE series: n

%prep
%setup -n metamail-2.7-19
%patch

%build
    make
    make -C fonts

%install
    make install-all
    mkdir -p /usr/X11R6/lib/X11/fonts/misc
    install -m 444 fonts/heb8x13B.pcf /usr/X11R6/lib/X11/fonts/misc/
    gzip -9f /usr/X11R6/lib/X11/fonts/misc/heb8x13B.pcf

%files
%doc README mailers.txt
#/usr/X11R6/lib/X11/fonts/misc/heb8x13B.pcf.gz
/usr/bin/audiocompose
/usr/bin/audiosend
/usr/bin/extcompose
/usr/bin/getfilename
/usr/bin/mailserver
/usr/bin/mailto
/usr/bin/mailto-hebrew
/usr/bin/metamail
/usr/bin/metasend
/usr/bin/mimeit
/usr/bin/mimencode
/usr/bin/mmencode
/usr/bin/patch-metamail
/usr/bin/rcvAppleSingle
/usr/bin/richtext
/usr/bin/richtoatk
/usr/bin/showaudio
/usr/bin/showexternal
/usr/bin/shownonascii
/usr/bin/showpartial
/usr/bin/showpicture
/usr/bin/sndAppleSingle
/usr/bin/splitmail
/usr/bin/sun-audio-file
/usr/bin/sun-message
/usr/bin/sun-message.csh
/usr/bin/sun-to-mime
/usr/bin/sun2mime
/usr/bin/uudepipe
%doc /usr/share/man/man1/audiocompose.1.gz
%doc /usr/share/man/man1/audiosend.1.gz
%doc /usr/share/man/man1/extcompose.1.gz
%doc /usr/share/man/man1/getfilename.1.gz
%doc /usr/share/man/man1/mailto-hebrew.1.gz
%doc /usr/share/man/man1/mailto.1.gz
%doc /usr/share/man/man1/metamail.1.gz
%doc /usr/share/man/man1/metasend.1.gz
%doc /usr/share/man/man1/mime.1.gz
%doc /usr/share/man/man1/mimencode.1.gz
%doc /usr/share/man/man1/mmencode.1.gz
%doc /usr/share/man/man1/patch-metamail.1.gz
%doc /usr/share/man/man1/richtext.1.gz
%doc /usr/share/man/man1/showaudio.1.gz
%doc /usr/share/man/man1/showexternal.1.gz
%doc /usr/share/man/man1/shownonascii.1.gz
%doc /usr/share/man/man1/showpartial.1.gz
%doc /usr/share/man/man1/showpicture.1.gz
%doc /usr/share/man/man1/splitmail.1.gz
%doc /usr/share/man/man4/mailcap.4.gz

%changelog -n metamail
* Tue May 22 2001 - werner@suse.de
- Remove space after ?= closing phrase
* Wed Mar 07 2001 - uli@suse.de
- added xf86 to neededforbuild
* Wed Mar 07 2001 - werner@suse.de
- Be sure that font directory exists
* Fri Dec 22 2000 - werner@suse.de
- If terminal attributes will be restored then do this immediately
* Fri Dec 22 2000 - werner@suse.de
- Declare standard functions
- Use putenv of glibc
- Print commando is lpr
- Use limits.h
- Use termios interface of glibc
* Mon Nov 27 2000 - sndirsch@suse.de
- removed /usr/X11R6/lib/X11/fonts/misc/heb8x13B.pcf.gz
  from filelist (font already included in xf86 package)
* Fri Nov 17 2000 - kukuk@suse.de
- fix Requires: sharutil -> sharutils
* Mon Nov 13 2000 - ro@suse.de
- don't redeclare killpg
* Wed Oct 11 2000 - werner@suse.de
- Fix bug within metasend (bug# 4099)
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Thu Mar 02 2000 - werner@suse.de
- /usr/man -> /usr/share/man
* Tue Oct 19 1999 - werner@suse.de
- If -o is used for mmencoding the file permissions should
  be the same as the input file
- Use Fopen within mmencode.c
- sendmail is stored in /usr/sbin/
- MAILCAPDIR is /etc
- showexternal: check for broken arguments
- mailto.c: don't be fooled by newlines
- Use RPM_OPT_FLAGS
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Fri Jul 17 1998 - werner@suse.de
- Add C source fixes of RedHat against temp exploits
- Make sh and shell scripts using mktemp for temp files
- Use PAGER if set
- Use -o of uudecode to avoid attacks over net
* Tue May 27 1997 - florian@suse.de
- fix shell script "audiosend"
* Sat Apr 26 1997 - florian@suse.de
- update to new version 2.7-19 from debian
* Thu Jan 02 1997 - florian@suse.de
- Bisherige Anpassungen mit der neusten debian-Version vergleichen
  und zusammenbringen.
- Die extra Fonts sind momentan nicht mehr dabei,
  sollten aber auch nicht fehlen...
